summary refs log tree commit diff
path: root/configure
diff options
context:
space:
mode:
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure37
1 files changed, 37 insertions, 0 deletions
diff --git a/configure b/configure
new file mode 100755
index 0000000..0b5f212
--- /dev/null
+++ b/configure
@@ -0,0 +1,37 @@
+#!/bin/sh
+set -eu
+
+exec >config.mk
+
+case "$(uname)" in
+	(FreeBSD)
+		if ! pkg info -e libressl || ! pkg info -e sqlite3; then
+			echo 'LibreSSL & SQLite3 required' >&2
+			exit 1
+		fi
+		prefix=$(pkg query '%p' sqlite3)
+		cat <<-EOF
+		CFLAGS += -I${prefix}/include
+		CFLAGS += -D'SQLITE3_BIN="${prefix}/bin/sqlite3"'
+		LDFLAGS += -L${prefix}/lib
+		EOF
+		exit
+		;;
+	(Linux)
+		cat <<-EOF
+		CFLAGS += -D_GNU_SOURCE
+		RCS =
+		EOF
+		;;
+esac
+
+libs='libtls sqlite3'
+pkg-config --print-errors $libs
+
+cat <<EOF
+CFLAGS += $(pkg-config --cflags $libs)
+CFLAGS += -D'SQLITE3_BIN="$(pkg-config --variable=prefix sqlite3)/bin/sqlite3"'
+LDFLAGS += $(pkg-config --libs-only-L $libs)
+LDLIBS = $(pkg-config --libs-only-l sqlite3)
+LDLIBS_litterbox = $(pkg-config --libs-only-l libtls)
+EOF
181eccdb5e831c609fcc39337311437f80f9119&follow=1'>Allow names with prefixes of months and daysJune McEnroe 2022-08-15Add named dates to whenJune McEnroe 2022-08-14Remove tweets text fileJune McEnroe 2022-08-04Add Conversations With FriendsJune McEnroe 2022-07-30Add Normal PeopleJune McEnroe 2022-07-26Rewrite glitch from new pngoJune McEnroe 2022-07-26Update Care with time-to-ID and piercingsJune McEnroe 2022-07-26Add -w to upJune McEnroe 2022-07-13Set push.autoSetupRemoteJune McEnroe 2022-07-08Remove TOURJune McEnroe 2022-07-03Add The Bone Shard EmperorJune McEnroe 2022-06-25Bump xterm font size to 12June McEnroe 2022-06-10Handle subshells (and functions) inside substitutionsJune McEnroe 2022-06-10Switch to jorts Install scriptJune McEnroe 2022-06-08Indicate if still reading or no resultsJune McEnroe 2022-06-08Add Maiden, Mother, CroneJune McEnroe 2022-06-05FIRST SHOW IN 2.5 YEARS BABEY!!!June McEnroe 2022-06-03Set line number on File linesJune McEnroe 2022-06-03Stop polling stdin after EOFJune McEnroe 2022-06-02Set TABSIZE=4June McEnroe 2022-06-02Do basic match highlightingJune McEnroe 2022-06-02Clean up parsing a littleJune McEnroe 2022-06-02Don't duplicate path stringJune McEnroe 2022-06-02Use stderr instead of /dev/tty, realloc buffer if lines too longJune McEnroe 2022-06-02Add initial working version of qfJune McEnroe 2022-05-29Set prompt for okshJune McEnroe